Bug 1645057 - host_collection controller does not return host_ids key inside a POST response
Summary: host_collection controller does not return host_ids key inside a POST response
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Host Collections
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Roman Plevka
URL:
Whiteboard:
: 1654383 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-01 10:39 UTC by Roman Plevka
Modified: 2019-10-07 17:20 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-katello-3.9.1-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:32 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:43 UTC
Foreman Issue Tracker 25420 None None None 2018-11-08 17:58:18 UTC

Description Roman Plevka 2018-11-01 10:39:17 UTC
Description of problem:
this is a regression from 6.4

$ curl -sku admin:changeme -H "Content-Type: application/json" -d '{"name": "foo4", "organization_id": 3}' https://$(hostname)/katello/api/v2/host_collections
{
 "name":"foo4",
 "organization_id":3,
 "max_hosts":null,
 "description":null,
 "total_hosts":0,
 "unlimited_hosts":true,
 "created_at":"2018-11-01 10:36:31 UTC",
 "updated_at":"2018-11-01 10:36:31 UTC",
 "id":6,
 "permissions":{
  "deletable":true,
  "editable":true
 }
}


Version-Release number of selected component (if applicable):
# rpm -qa katello
katello-3.9.0-0.1.rc1.el7sat.noarch

satellite6.5.0-1

Steps to Reproduce:
1. create host_collection using api (POST to katello/api/v2/host_collections)
2. observe the returned json

Actual results:
no host_ids key

Expected results:
host_id key should be returned even with an empty list

Additional info:

Comment 2 Christine Fouant 2018-11-08 17:58:17 UTC
Created redmine issue https://projects.theforeman.org/issues/25420 from this bug

Comment 3 pm-sat@redhat.com 2018-11-08 19:06:08 UTC
Upstream bug assigned to cfouant@redhat.com

Comment 4 pm-sat@redhat.com 2018-11-08 19:06:11 UTC
Upstream bug assigned to cfouant@redhat.com

Comment 5 pm-sat@redhat.com 2018-11-09 15:06:03 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25420 has been resolved.

Comment 7 Brad Buckingham 2018-11-29 13:56:20 UTC
*** Bug 1654383 has been marked as a duplicate of this bug. ***

Comment 8 Roman Plevka 2018-12-10 14:04:22 UTC
VERIFIED 


# curl -sku admin:changeme -H "Content-Type: application/json" -d '{"name": "foo4", "organization_id": 3}' https://$(hostname)/katello/api/v2/host_collections
  {"host_ids":[],"name":"foo4","organization_id":3,"max_hosts":null,"description":null,"total_hosts":0,"unlimited_hosts":true,"created_at":"2018-12-10 14:02:59 UTC","updated_at":"2018-12-10 14:02:59 UTC","id":1,"permissions":{"deletable":true,"editable":true}}

# rpm -qa | grep satellite
satellite-6.5.0-5.beta.el7sat.noarch

Comment 12 errata-xmlrpc 2019-05-14 12:38:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.